Payment links
List payment links
Search and filter your payment links.
Query Parameters
sort?|
Payment links are always ordered by their date, but you can modify the direction (ascending / descending).
status?|
Payement link status (Pending, Expired, Completed).
pageSize?|
Payement linkss per page. Must be between 1 and 100 (inclusive). Default value: 20
Format
int64Range
0 <= valuepage?|
Use for pagination. 0 based index. Page 0 = first page, Page 1 = second page, etc.
Format
int64Range
0 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.invinciblepay.com/v1/payment-links"{
"items": [
{
"accountId": "string",
"amount": "string",
"createdAt": 0,
"currency": "CAD",
"description": "string",
"expiresAt": 0,
"fundingSourceId": "string",
"id": "string",
"payerName": "string",
"paymentUrl": "string",
"reference": "string",
"status": "pending",
"transactionId": "string"
}
],
"page": 0,
"pageSize": 0,
"totalCount": 0,
"totalPages": 0
}{
"error": "string",
"error_code": {}
}{
"error": "string",
"error_code": {}
}{
"error": "string",
"error_code": {}
}{
"error": "string",
"error_code": {}
}